2010-01-11 04:56:46     Unable to build qt embedded lib 4.5.1 for blackfin

Document created by Aaronwu Employee on Aug 20, 2013
Version 1Show Document
  • View in full screen mode

2010-01-11 04:56:46     Unable to build qt embedded lib 4.5.1 for blackfin

jagadish ramanja (INDIA)

Message: 84407   

 

Hi,

 

I am not able to build the Qt embedded library version 4.5.1 using blackfin toolchain,using FLAT compiler in my linux ubuntu machine, Can any one please guide me how can I achieve this, it's quite emergency...

 

 

 

I am getting some 'undefined reference to ...' errors,

 

Thanks in advance

QuoteReplyEditDelete

 

 

2010-01-11 10:52:37     Re: Unable to build qt embedded lib 4.5.1 for blackfin

Robin Getz (UNITED STATES)

Message: 84413   

 

Jagadish:

 

It is not possible to do it in flat. Use FDPIC.

 

-Robin

QuoteReplyEditDelete

 

 

2010-01-11 22:09:36     Re: Unable to build qt embedded lib 4.5.1 for blackfin

Sonic Zhang (CHINA)

Message: 84429   

 

What's your error log? No log, no answer.

 

Don't forget to make single.

QuoteReplyEditDelete

 

 

2010-02-24 04:00:04     Re: Unable to build qt embedded lib 4.5.1 for blackfin

jagadish ramanja (INDIA)

Message: 86442   

 

Hi Robin,Sonic,

 

 

 

   Thanks for your reply, I am able to build the Qt library for blackfin using FDPIC. if it is possible may I know why we can't use the FLAT compiler because basically it's an embedded device , if we use the FLAT compiler the library size might get reduced.

 

Regards

 

Jagadish

QuoteReplyEditDelete

 

 

2010-02-24 08:27:40     Re: Unable to build qt embedded lib 4.5.1 for blackfin

Mike Frysinger (UNITED STATES)

Message: 86457   

 

feel free to dig into the issue to make it work

QuoteReplyEditDelete

Attachments

    Outcomes